Subject: bug#1802: 23.0.60; (with-ns) completion of font names does not work

From: Glenn Morris <[email-masked]>
Date: Fri, 23 Jan 2009 20:01:48 -0500

Adrian Robert wrote:

> I get the message 'Invalid font name: "*"' in the minibuffer when I  
> try this.  Some investigation seems to show this is generated in  
> font.c before any NS-specific code is called.  Can you try this in an  
> X build of the same source and report whether it occurs there too?

Indeed

(x-list-fonts "*")

as called by set-frame-font throws an error for me ("Invalid font name
*") in the current trunk on GNU/Linux.

`cvs up -D2009-01-18 font.c' and this goes away, so perhaps it is the
2009-01-19 change to font_spec_from_name?

(I don't think this is related to the original report.)